#### D.11.2.14 controlExample

Procedure from library `control.lib` (see control_lib).

Usage:
  controlExample(s); s a string

Return:
  ring

Purpose:
  set up an example from the mini database by initalizing a ring and a module in a ring

Note:
  in order to see the list of available examples, execute `controlExample("show");`
  To use an example, one has to do the following. Suppose one calls the ring, where the example will be activated, A. Then, by executing
  `def A = controlExample("Antenna");` and `setring A;`,
  A will become a basering from the example "Antenna" with the predefined system module R (transposed). After that one can just execute `control(R);` respectively `autonom(R);` to perform the control resp. autonomy analysis of R.

Example:

    LIB "control.lib";
    controlExample("show");   // let us see all available examples:
    ==> The list of examples:
    ==> name: Cauchy1,  desc: 1-dimensional Cauchy equation
    ==> name: Cauchy2,  desc: 2-dimensional Cauchy equation
    ==> name: Control1,  desc: example of a simple noncontrollable system
    ==> name: Control2,  desc: example of a simple controllable system
    ==> name: Antenna,  desc: antenna
    ==> name: Einstein,  desc: Einstein equations in vacuum
    ==> name: FlexibleRod,  desc: flexible rod
    ==> name: TwoPendula,  desc: two pendula mounted on a cart
    ==> name: WindTunnel,  desc: wind tunnel
    ==> name: Zerz1,  desc: example from the lecture of Eva Zerz
    def B = controlExample("TwoPendula"); // let us set up a particular example
    setring B;
    print(R);
    ==> (m1*L1)*Dt^2,             (m2*L2)*Dt^2,             -1,(m1+m2+M)*Dt^2,
    ==> (m1*L1^2)*Dt^2+(-m1*g*L1),0,                        0, (m1*L1)*Dt^2,
    ==> 0,                        (m2*L2^2)*Dt^2+(-m2*g*L2),0, (m2*L2)*Dt^2

User manual for Singular version 4-0-3, 2016, generated by texi2html.